"use strict";
this.name = "Coyote-EscapePod4";
this.author = "Captain Okti";
this.copyright = "(C) 2011 Oktay Sarioglu";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Script for the pilots escape pod 4.";

this.shipSpawned = function () {
	this.killed = false;
}

this.shipTakingDamage = function (amount, whom, type) {
	if (whom !== null) {
		if (whom.primaryRole == "coyotekatikboss3escort") {
			this.killed = true;
			missionVariables.Coyote_status = "STAGE_226";
			this.ship.explode();
		}
	}
}

this.shipDied = function () {
	if (this.killed == false) {
		this.ship.spawnOne("coyotekatikboss2pod");
	}
}